Zum Hauptinhalt springen
POST
/
beta
/
v2
/
enterprise
/
repositories
/
bulk-index
Mehrere Repositories indizieren
curl --request POST \
  --url https://api.devin.ai/beta/v2/enterprise/repositories/bulk-index \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "org_id": "<string>",
  "repo_names": [
    "<string>"
  ]
}
'
import requests

url = "https://api.devin.ai/beta/v2/enterprise/repositories/bulk-index"

payload = {
"org_id": "<string>",
"repo_names": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({org_id: '<string>', repo_names: ['<string>']})
};

fetch('https://api.devin.ai/beta/v2/enterprise/repositories/bulk-index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
Dieser Endpunkt ermöglicht es Ihnen, mehrere Repositories auf einmal zu indizieren und sie so für den Zugriff durch Devin während der Sitzungen verfügbar zu machen. Sie können bis zu 100 Repositories in einer einzelnen Anfrage indizieren.
Die Repository-Indizierung ist ein asynchroner Vorgang. Verwenden Sie den Endpunkt Get Repository Status, um den Fortschritt der Indizierung zu prüfen.

Autorisierungen

Authorization
string
header
erforderlich

Persönlicher API Key (apk_user_*) nur für Enterprise-Administratoren

Body

application/json
org_id
string
erforderlich
repo_names
string[]
erforderlich
Required array length: 1 - 100 elements

Antwort

Erfolgreiche Antwort

status
string
Standard:success